Ticket #1885: mc-1885-autoreconf-usage.patch

File mc-1885-autoreconf-usage.patch, 2.8 KB (added by and, 8 years ago)
  • autogen.sh

    From 476a7acb98b23a92d265f1732f19fea0d948c892 Mon Sep 17 00:00:00 2001
    From: Andreas Mohr <and@gmx.li>
    Date: Mon, 25 Apr 2016 18:46:03 +0000
    Subject: [PATCH] Simplify autogen.sh by using autoreconf
    
    Simplify autogen.sh by using autoreconf.
    
    Signed-off-by: Andreas Mohr <and@gmx.li>
    ---
     autogen.sh | 53 +++--------------------------------------------------
     1 file changed, 3 insertions(+), 50 deletions(-)
    
    diff --git a/autogen.sh b/autogen.sh
    index 071533c..7d78764 100755
    a b  
    44# Don't ignore errors. 
    55set -e 
    66 
    7 # Make it possible to specify path in the environment 
    8 : ${AUTOCONF=autoconf} 
    9 : ${AUTOHEADER=autoheader} 
    10 : ${AUTOMAKE=automake} 
    11 : ${ACLOCAL=aclocal} 
    12 : ${AUTOPOINT=autopoint} 
    13 : ${LIBTOOLIZE=libtoolize} 
    14 : ${XGETTEXT=xgettext} 
    15  
    16 srcdir=`dirname $0` 
    17 test -z "$srcdir" && srcdir=. 
    18  
    19  
    20 ( 
    21 # Some shells don't propagate "set -e" to subshells. 
    22 set -e 
    23  
    24 $AUTOPOINT --version >/dev/null 2>&1 
    25 if test $? -ne 0;  then 
    26     AUTOPOINT=maint/utils/autopoint 
    27 fi 
     7srcdir="$(cd "$(dirname "$0")" && pwd)" 
    288 
    299cd "$srcdir" 
    3010 
    31 # The autoconf cache (version after 2.52) is not reliable yet. 
    32 rm -rf autom4te.cache src/vfs/smbfs/helpers/autom4te.cache 
    33  
    34 if test ! -d config; then 
    35   mkdir config 
    36 fi 
    37  
    38 # Recreate intl directory. 
    39 rm -rf intl 
    40 $AUTOPOINT --force || exit 1 
     11${AUTORECONF:-autoreconf} --verbose --install --force -I m4 $AUTORECONFOPT 
    4112 
    4213# Generate po/POTFILES.in 
    43 $XGETTEXT --keyword=_ --keyword=N_ --keyword=Q_ --output=- \ 
     14${XGETTEXT:-xgettext} --keyword=_ --keyword=N_ --keyword=Q_ --output=- \ 
    4415        `find . -name '*.[ch]'` | sed -ne '/^#:/{s/#://;s/:[0-9]*/\ 
    4516/g;s/ //g;p;}' | \ 
    4617        grep -v '^$' | sort | uniq >po/POTFILES.in 
    4718 
    48 $LIBTOOLIZE 
    49  
    50 ACLOCAL_INCLUDES="-I m4" 
    51  
    52 # Some old version of GNU build tools fail to set error codes. 
    53 # Check that they generate some of the files they should. 
    54  
    55 $ACLOCAL $ACLOCAL_INCLUDES $ACLOCAL_FLAGS 
    5619test -f aclocal.m4 || \ 
    5720  { echo "aclocal failed to generate aclocal.m4" >&2; exit 1; } 
    5821 
    59 $AUTOHEADER || exit 1 
    6022test -f config.h.in || \ 
    6123  { echo "autoheader failed to generate config.h.in" >&2; exit 1; } 
    6224 
    63 $AUTOCONF || exit 1 
    6425test -f configure || \ 
    6526  { echo "autoconf failed to generate configure" >&2; exit 1; } 
    6627 
    67 # Workaround for Automake 1.5 to ensure that depcomp is distributed. 
    68 if test "`$AUTOMAKE --version|awk '{print $NF;exit}'`" = '1.5' ; then 
    69     $AUTOMAKE -a src/Makefile 
    70 fi 
    71 $AUTOMAKE -a 
    7228test -f Makefile.in || \ 
    7329  { echo "automake failed to generate Makefile.in" >&2; exit 1; } 
    7430 
    7531cd src/vfs/smbfs/helpers 
    7632date -u >include/stamp-h.in 
    7733 
    78 $AUTOHEADER 
    7934test -f include/config.h.in || \ 
    8035  { echo "autoheader failed to generate src/vfs/smbfs/helpers/include/config.h.in" >&2; exit 1; } 
    8136 
    82 $AUTOCONF 
    8337test -f configure || \ 
    8438  { echo "autoconf failed to generate src/vfs/smbfs/helpers/configure" >&2; exit 1; } 
    85 ) || exit 1 
    8639 
    8740$srcdir/maint/utils/version.sh "$srcdir" 
    8841